# Lucene Based

## Manager Parameters

| Parameter        | Definition                                                                        | Example                                                        | Default |
| ---------------- | --------------------------------------------------------------------------------- | -------------------------------------------------------------- | ------- |
| default.analyzer | Default analyzer to use on fields when not specified                              | org.apache.lucene.analysis.standard.StandardAnalyzer           | -       |
| field.analyzers  | Comma separated list of field:analyzerClass pairs for using non-default analyzers | data.name:org.apache.lucene.analysis.standard.StandardAnalyzer | -       |
| indexFields      | Comma separated list of field:type pairs for indexing                             | data.name:text                                                 | -       |

This manager requires the following dependency added to [deployment contents](/devops/microservices/deployment-packages/defining-a-deployment.md):

```gradle
implementation (group:'com.rierino.custom', name: 'lucene', version:"${rierinoVersion}")
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/devops/microservices/building-blocks/data-sources/local-states/lucene-based.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
